-- ZB_CK_KAFKA_ENDOR 批单清单KAFKA
insert into ZB_CK.ZB_CK_MYSQL.KAFKA_ENDOR
select 
     LongTimeToStringUDF(endorsePolicyTime,'yyyyMMdd')     as endorsePolicyTime    -- 标记时间  endorsePolicyTime
    ,LongTimeToStringUDF(endorseTime,'yyyyMMdd')           as endorseTime          -- 起保时间
    ,businessOffice                                        as businessOffice       -- 保单归属机构代码
    ,productCode                                           as productCode          -- 险种代码
    ,businessChannelCode                                   as businessChannelCode  -- 业务渠道
    ,businessNatureCode                                    as businessNatureCode   -- 业务来源
    ,plpEndorse.netPremiumVariation                        as netPremiumVariation
    ,sigAndStaExchangeRate                                 as sigAndStaExchangeRate
    ,coinsCode                                             as coinsCode
    ,coinsLinkCode                                         as coinsLinkCode
    ,JsonGetCoinsRateUDF(plcSolution[1].plcCoins.plcLinkBasicInformat,'coinsLinkCode',coinsLinkCode)    as LinkCoinsRate
    ,sonGetCoinsRateUDF(plcSolution[1].plcCoins.plcCoinsBasicInformation,'coinsCode',coinsCode)         as CoinsCoinsRate
    ,endorseNo                                             as endorseNo                 -- 批单号
    ,newPolicyFlag                                         as newPolicyFlag
    ,autoTransrenewFlag                                    as autoTransrenewFlag
    ,transferPolicyFlag                                    as transferPolicyFlag
    ,transrenewFlag                                        as transrenewFlag
    ,mainSalesmanCode                                      as mainSalesmanCode     -- 14 归属业务员ID
    ,mainSalesmanName                                      as mainSalesmanName     -- 15 归属业务员名称
    ,log_time                                              as log_time
    ,endorsePolicyTime                                     as long_endorsePolicyTime
    ,endorseTime                                           as long_endorseTime
    ,plcSolution[1].plcCoins            as plcSolution_plcCoins
from ODS.ODS_KAFKA.ENDOR
-- where LongTimeToStringUDF(uwConclueDate,'yyyyMMdd')   between '20220831' and '20220902'